Loading...
Searching...
No Matches
pcl::BorderDescription Struct Reference
Module common

A structure to store if a point in a range image lies on a border between an obstacle and the background. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

constexpr | BorderDescription ()=default
constexpr | BorderDescription (int _x, int _y)

## Public Attributes

int | x = 0
int | y = 0
BorderTraits | traits

## Friends

std::ostream & | operator<< (std::ostream &os, const BorderDescription &p)

## Detailed Description

A structure to store if a point in a range image lies on a border between an obstacle and the background.

Definition at line 1585 of file point_types.hpp.

## Constructor & Destructor Documentation

## BorderDescription() [1/2]

constexpr pcl::BorderDescription::BorderDescription | ( |  | ) |

inline constexpr default

## BorderDescription() [2/2]

constexpr pcl::BorderDescription::BorderDescription | ( | int | _x,
|  | int | _y
| ) |  |

inline constexpr

Definition at line 1593 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const BorderDescription & | p
| ) |  |

friend

## Member Data Documentation

## traits

BorderTraits pcl::BorderDescription::traits

Definition at line 1588 of file point_types.hpp.

Referenced by pcl::RangeImageBorderExtractor::calculateBorderDirection(), and pcl::RangeImageBorderExtractor::get3dDirection().

## x

int pcl::BorderDescription::x = 0

Definition at line 1587 of file point_types.hpp.

Referenced by pcl::RangeImageBorderExtractor::get3dDirection().

## y

int pcl::BorderDescription::y = 0

Definition at line 1587 of file point_types.hpp.

Referenced by pcl::RangeImageBorderExtractor::get3dDirection().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp